org.springframework.transaction

## Class IllegalTransactionStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.transaction.TransactionException
          - - org.springframework.transaction.TransactionUsageException
            - - org.springframework.transaction.IllegalTransactionStateException

- All Implemented Interfaces:
    Serializable

      public class IllegalTransactionStateException
      extends TransactionUsageException

  Exception thrown when the existence or non-existence of a transaction amounts to an illegal state according to the transaction propagation behavior that applies.
  Since:
    21.01.2004
  Author:
    Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalTransactionStateException(String msg)` Constructor for IllegalTransactionStateException.
    `IllegalTransactionStateException(String msg, Throwable cause)` Constructor for IllegalTransactionStateException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalTransactionStateException

          public IllegalTransactionStateException(String msg)

      Constructor for IllegalTransactionStateException.
      Parameters:
        `msg` - the detail message

    - #### IllegalTransactionStateException

          public IllegalTransactionStateException(String msg,
                                                  Throwable cause)

      Constructor for IllegalTransactionStateException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause from the transaction API in use